%global gitdate     20230724
%global	commitid    4a82095ca4a334ceaf306c128248eb020f11bef1
%global	gitversion  %(echo %{commitid} | cut -c-7)

Summary:        Caching mechanism for freedesktop.org compliant menus
Name:           menu-cache
Version:        1.1.0
Release:        1.%{gitdate}git%{gitversion}%{?dist}
License:        LGPL-2.0-or-later
URL:            http://lxde.org
#%dnl wget https://github.com/lxde/menu-cache/tarball/%{commitid}/lxde-menu-cache-%{version}-%{git_short}.tar.gz -O "lxde-menu-cache-%{version}-%{git_short}.tar.gz"
Source0:        https://github.com/lxde/menu-cache/tarball/%{commitid}/lxde-menu-cache-%{version}-%{gitversion}.tar.gz
BuildRequires:  make, gcc, automake, gtk-doc, libtool
BuildRequires:  glib2-devel, libfm-devel



%description
Menu-cache is a caching mechanism for freedesktop.org compliant menus to 
speed up parsing of the menu entries. It is currently used by some of 
components of the LXDE desktop environment such as LXPanel or LXLauncher.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -n lxde-%{name}-%{gitversion}



%build
bash autogen.sh
%configure --disable-static --disable-silent-rules
%make_build



%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'



%files
%license COPYING
%doc AUTHORS NEWS README
%{_libexecdir}/%{name}/menu-cache-gen
%{_libexecdir}/%{name}/menu-cached
%{_libdir}/libmenu-cache.so.3*

%files devel
%{_libdir}/libmenu-cache.so
%{_libdir}/pkgconfig/libmenu-cache.pc
%dir %{_includedir}/menu-cache/
%{_includedir}/menu-cache/*.h



%changelog
* Thu Jan 04 2024 Chair <chairou@tencent.com> - 1.1.0-1.20230724git4a82095
- Init